Closed Bug 953781 Opened 7 years ago Closed 7 years ago

Notification bar above the 'no accounts' message

Categories

(Instantbird :: Account manager, defect)

defect
Not set
trivial

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: florian, Assigned: benediktp)

Details

Attachments

(1 file)

*** Original post on bio 338 at 2010-02-18 15:20:00 UTC ***

When there are no configured accounts, the account manager opens with an explanatory message indicating that there's no configured account and the user should click "New Account" to configure one.

When there's a notification bar because, for instance the automatic connection at startup is disabled, this notification bar appears above the explanatory message, and it looks out of place.

The notification bar should probably never be visible when no account is online.

Fixing this is probably just a matter of moving the notificationbox inside the deck, as the direct parent of the richlistbox.
Attached patch FixSplinter Review
*** Original post on bio 338 as attmnt 281 at 2010-03-12 18:23:00 UTC ***

Fixed as suggested.
Attachment #8352022 - Flags: review?(florian)
Assignee: nobody → benediktp
Comment on attachment 8352022 [details] [diff] [review]
Fix

*** Original change on bio 338 attmnt 281 at 2010-03-19 16:51:47 UTC ***

Thanks!
Attachment #8352022 - Flags: review?(florian) → review+
*** Original post on bio 338 at 2010-03-19 17:43:26 UTC ***

https://hg.instantbird.org/instantbird/rev/fa97f068458a
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.2
You need to log in before you can comment on or make changes to this bug.